Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.mina.filter.codec
Interface ProtocolEncoder

All Known Implementing Classes:
  NettyEncoder, ObjectSerializationEncoder, ProtocolEncoderAdapter, SynchronizedProtocolEncoder, TextLineEncoder

    public interface ProtocolEncoder

Encodes higher-level message objects into binary or protocol-specific data. MINA invokes `encode(IoSession, Object, ProtocolEncoderOutput)` method with message which is popped from the session write queue, and then the encoder implementation puts encoded `ByteBuffer`s into `ProtocolEncoderOutput` by calling `ProtocolEncoderOutput.write(ByteBuffer)`.

Please refer to `TextLineEncoder` example.

Version:
  $Rev: 555855 $, $Date: 2007-07-13 12:19:00 +0900 (Fri, 13 Jul 2007) $
Author:
  The Apache Directory Project (mina-dev@directory.apache.org)

Method Summary
`void` | `dispose(IoSession session)` Releases all resources related with this encoder.
`void` | `encode(IoSession session, Object message, ProtocolEncoderOutput out)` Encodes higher-level message objects into binary or protocol-specific data.

Method Detail

### encode

    void encode(IoSession session,
                Object message,
                ProtocolEncoderOutput out)
                throws Exception

  Encodes higher-level message objects into binary or protocol-specific data. MINA invokes `encode(IoSession, Object, ProtocolEncoderOutput)` method with message which is popped from the session write queue, and then the encoder implementation puts encoded `ByteBuffer`s into `ProtocolEncoderOutput`.

  Throws:
    `Exception` - if the message violated protocol specification

### dispose

    void dispose(IoSession session)
                 throws Exception

  Releases all resources related with this encoder.

  Throws:
    `Exception` - if failed to dispose all resources

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2008 Apache MINA Project. All Rights Reserved.